{
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "灿能电力"
      }
    },
    {
      "path": "pages/index/message",
      "style": {
        "navigationBarTitleText": "消息"
      }
    },
    {
      "path": "pages/index/mine",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/mine/agreement",
      "style": {
        "navigationBarTitleText": "用户协议"
      }
    },
    {
      "path": "pages/mine/policy",
      "style": {
        "navigationBarTitleText": "个人信息保护政策"
      }
    },
    {
      "path": "pages/user/login",
      "style": {
        "navigationBarTitleText": "登录"
      }
    },
    {
      "path": "pages/user/forget",
      "style": {
        "navigationBarTitleText": "忘记密码"
      }
    },
    {
      "path": "pages/user/register",
      "style": {
        "navigationBarTitleText": "快速注册"
      }
    },
    {
      "path": "pages/user/changePwd",
      "style": {
        "navigationBarTitleText": "修改密码"
      }
    },
    {
      "path": "pages/user/changePhone",
      "style": {
        "navigationBarTitleText": "修改手机号"
      }
    },
    {
      "path": "pages/mine/setup",
      "style": {
        "navigationBarTitleText": "设置"
      }
    },
    {
      "path": "pages/mine/setupMessage",
      "style": {
        "navigationBarTitleText": "消息配置"
      }
    },
    {
      "path": "pages/mine/system",
      "style": {
        "navigationBarTitleText": "系统介绍"
      }
    },
    {
      "path": "pages/mine/company",
      "style": {
        "navigationBarTitleText": "公司介绍"
      }
    },
    {
      "path": "pages/mine/about",
      "style": {
        "navigationBarTitleText": "关于我们"
      }
    },
    {
      "path": "pages/mine/upgrade",
      "style": {
        "navigationBarTitleText": "关于我们"
      }
    },
    {
      "path": "pages/mine/message",
      "style": {
        "navigationBarTitleText": "个人消息"
      }
    },
    {
      "path": "pages/device/list",
      "style": {
        "navigationBarTitleText": "设备列表"
      }
    },
    {
      "path": "pages/device/new",
      "style": {
        "navigationBarTitleText": "新设备"
      }
    },
    {
      "path": "pages/device/APF/detail",
      "style": {
        "navigationBarTitleText": "APF设备详情"
      }
    },
    {
      "path": "pages/device/DVR/detail",
      "style": {
        "navigationBarTitleText": "DVR设备详情"
      }
    },
    {
      "path": "pages/device/APF/record",
      "style": {
        "navigationBarTitleText": "操作记录"
      }
    },
    {
        "path": "pages/device/DVR/record",
        "style": {
          "navigationBarTitleText": "操作记录"
        }
      },
    {
      "path": "pages/device/APF/report",
      "style": {
        "navigationBarTitleText": "告警情况"
      }
    },
    {
        "path": "pages/device/DVR/report",
        "style": {
          "navigationBarTitleText": "告警情况"
        }
      },
    {
      "path": "pages/device/APF/about",
      "style": {
        "navigationBarTitleText": "关于"
      }
    },
    {
        "path": "pages/device/DVR/about",
        "style": {
          "navigationBarTitleText": "关于"
        }
      },
    {
      "path": "pages/gateway/list",
      "style": {
        "navigationBarTitleText": "网关列表"
      }
    },
    {
      "path": "pages/gateway/new",
      "style": {
        "navigationBarTitleText": "添加网关"
      }
    },
    {
      "path": "pages/gateway/newDevice",
      "style": {
        "navigationBarTitleText": "通过网关添加设备"
      }
    },
    {
      "path": "pages/message/incident",
      "style": {
        "navigationBarTitleText": "系统消息"
      }
    },
    {
      "path": "pages/message/report",
      "style": {
        "navigationBarTitleText": "告警"
      }
    },
    {
      "path": "pages/message/system",
      "style": {
        "navigationBarTitleText": "事件"
      }
    },
    {
      "path": "pages/device/transfer",
      "style": {
        "navigationBarTitleText": "移交"
      }
    },
    {
      "path": "pages/device/feedback",
      "style": {
        "navigationBarTitleText": "提交反馈"
      }
    },
    {
      "path": "pages/message/feedback",
      "style": {
        "navigationBarTitleText": "反馈列表"
      }
    },
    {
      "path": "pages/mine/feedback",
      "style": {
        "navigationBarTitleText": "提交反馈"
      }
    },
    {
      "path": "pages/device/user",
      "style": {
        "navigationBarTitleText": "子用户"
      }
    },
    {
      "path": "pages/mine/user",
      "style": {
        "navigationBarTitleText": "子用户"
      }
    },
    {
      "path": "pages/mine/userDetail",
      "style": {
        "navigationBarTitleText": "用户设备"
      }
    },
    {
      "path": "pages/user/basic",
      "style": {
        "navigationBarTitleText": "个人信息"
      }
    },
    {
      "path": "pages/user/head",
      "style": {
        "navigationBarTitleText": "更换头像"
      }
    },
    {
      "path": "pages/user/changeName",
      "style": {
        "navigationBarTitleText": "修改昵称"
      }
    },
    {
      "path": "pages/mine/project",
      "style": {
        "navigationBarTitleText": "项目管理"
      }
    }
  ],
  "tabBar": {
    "color": "#979797",
    "selectedColor": "#376cf3",
    "borderStyle": "black",
    "backgroundColor": "#fff",
    "spacing": "5px",
    "iconWidth": "20px",
    "list": [
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/index.png",
        "selectedIconPath": "static/index2.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/index/message",
        "iconPath": "static/notice.png",
        "selectedIconPath": "static/notice2.png",
        "text": "消息"
      },
      {
        "pagePath": "pages/index/mine",
        "iconPath": "static/mine.png",
        "selectedIconPath": "static/mine2.png",
        "text": "个人"
      }
    ]
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "灿能电力",
    "navigationBarBackgroundColor": "#fff",
    "backgroundColor": "#fff"
    // #ifdef H5
    ,
    "navigationStyle": "custom"
    // #endif
  },
  "uniIdRouter": {},
  "easycom": {
    "autoscan": true,
    "custom": {
      "^rc-(.*)": "@/components/Cn-$1/Cn-$1.vue"
    }
  }
}
